VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

Public Member Functions | Static Public Attributes | List of all members
ITest Class Referenceabstract

`#include <itest.h>`

Inheritance diagram for ITest:

## Public Member Functions
virtual bool | setup ()=0
| called immediately before the test is actually run. More...
virtual bool | run (ITestResult *testResult)=0
| execute the test. More...
virtual bool | teardown ()=0
| called after the test has run. More...
virtual const char * | getDescription ()
| This function is used to provide information about the performed testcase. More...
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
virtual uint32 | addRef ()=0
virtual uint32 | release ()=0

## Static Public Attributes
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Detailed Description

ITest interface declaration

## Member Function Documentation

## ◆ setup()

virtual bool setup | ( |  | ) |
| pure virtual

called immediately before the test is actually run.

Usually this will be used to setup the test environment.

Returns
  true upon success

Implemented in TestBase, and TestEnh.

## ◆ run()

virtual bool run | ( | ITestResult * | testResult | ) |
| pure virtual

execute the test.

Parameters

  testResult | : points to a test result where the test can (optionally) add an error message.

Returns
  true upon success

See also
  ITestResult

Implemented in TestBase.

## ◆ teardown()

virtual bool teardown | ( |  | ) |
| pure virtual

called after the test has run.

This method shall be used to deconstruct a test environment that has been setup with ITest::setup ().

Returns
  true upon success

Implemented in TestBase, and TestEnh.

## ◆ getDescription()

virtual const char * getDescription | ( |  | ) |
| inline virtual

This function is used to provide information about the performed testcase.

What is done, what is validated and what has to be prepared before executing the test (in case of half-automated tests).

Returns
  null terminated string upon success, zero otherwise

## Member Data Documentation

## ◆ iid

const FUID iid
| static

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.